package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.SelectallRepository;
import com.realnet.basicp1.Entity.Selectall;import java.util.List;
import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import com.realnet.users.service1.AppUserServiceImpl;
import org.springframework.http.HttpStatus;
import com.realnet.users.entity1.AppUser;






import com.realnet.basicp1.Entity.Selectall;
import com.realnet.basicp1.Services.SelectallService;





import com.realnet.basicp1.Entity.Selectall;
import com.realnet.basicp1.Services.SelectallService;





	import org.springframework.stereotype.Service;

@Service
 public class SelectallService {
@Autowired
private SelectallRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





@Autowired
	private SelectallService selectdyaserv;



@Autowired
	private SelectallService selectautoserv;



public Selectall Savedata(Selectall data) {







 
if (data.getSelectdya() != null) {
			Selectall get =  selectdyaserv.getdetailsbyId(data.getSelectdya());
			data.setSelectdyaname(get.getName());

		}

 





 
if (data.getSelectauto() != null) {
			Selectall get =  selectautoserv.getdetailsbyId(data.getSelectauto());
			data.setSelectautoname(get.getName());

		}

 




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Selectall save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Selectall> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Selectall> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Selectall> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Selectall getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Selectall update(Selectall data,Integer id) {
	Selectall old = Repository.findById(id).get();
old.setName(data.getName());

old.setSelectstat(data.getSelectstat());

old.setSelectststamul(data.getSelectststamul());

old.setSelectdya(data.getSelectdya());

old.setSelectdyamul(data.getSelectdyamul());

old.setSelectauto(data.getSelectauto());

old.setSelectautomul(data.getSelectautomul());

final Selectall test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
